
<div class="account_header_fixed">
	<span class="header_tit">비밀번호 변경 안내</span><span class="fr" style="padding-right:20px; padding-top:3px;"><a href="<?=$_GET['redir']?>"><img src="/img/mobile/img_close.gif"></a></span>
</div>
<div class="account_cont"  id="step1">
	<div class="bgb trc" style="padding:30px 0 20px;border-bottom: 1px solid #bfbfbf;">
		<span class="ft14">회원님의 소중한 개인정보를 안전하게 보호하기 위해</span><br>
		<span class="ft24" style="margin-top: 5px;color: #606060;display: inline-block;">비밀번호 변경을 안내 드립니다.</span>
	</div>
	<div style="padding: 20px 0; width: 90%; margin: 0 auto; line-height: 24px;">
		비밀번호를 변경하신 지 <span class="beachblue">3개월이 지난 경우</span>
		에 비밀번호 변경 안내를 드리고 있습니다.<br>
		<span style="padding:10px 0;display: block;">
			‘다음에 변경하기’ 버튼을 눌러 변경을 연기하시면 새로 로그인 접속하실 때 다시 안내해 드립니다.<br>
			</span>
		조금 불편하시더라도, <span class="beachblue">주기적으로 비밀번호를 변경하여 소중한 개인정보를 스스로 지켜주세요.</span>
	</div>
	<div class="info_forms">
		<div class="form-group" style="border-bottom:0">
			<input type="password" name="now_pwd" id="now_pwd"  class="form-control" placeholder="현재 비밀번호를 입력해주세요. " style="width:97%;">
		</div>
		<div class="form-group" style="border-bottom:0">
			<input type="password" name="new_member_pwd" id="new_member_pwd" class="form-control" placeholder="새 비밀번호 (6~16 영문 대·소문자,숫자,특수문자)" style="width:97%;">
		</div>
		<div class="form-group" style="border-bottom:0">
			<input type="password" name="new_re_member_pwd" id="new_re_member_pwd" class="form-control" placeholder="새 비밀번호를 한번 더 입력해주세요. " style="width:97%;">
		</div>
	</div>
	<div style="margin:30px 0 30px 0; display:block; text-align:center; padding-top:30px;">

		<button type="button" class="btn btn-default_bb br5" style="padding:7px 20px; font-size:16px; margin:10px 0 " onclick="location.href='<?=$_GET['redir']?>'">다음에 변경하기</button>
		<button type="button" class="btn btn-success br5" style="padding:8px 40px; font-size:16px; margin:10px 0" onclick="change_password()">변경하기</button>
	</div>


</div>

<div class="account_cont" style="display:none;" id="step2">
	<div class="bgb trc" style="padding:30px 0 20px;border-bottom: 1px solid #bfbfbf;">
		<span class="ft24" style="margin-top: 5px;color: #606060;display: inline-block;  ">비밀번호가 변경되었습니다.</span>
	</div>
	<div class="ft18 trc" style="padding: 20px 0; width: 90%; margin: 0 auto;">
		<span class="beachblue">비밀번호 변경</span>에 따른 안내
	</div>
	<dl class="pw_table">
		<dt>아이디</dt>
		<dd id="cp_member_id">abcd****</dd>
		<dt>이메일</dt>
		<dd id="cp_member_email">a**d***@n******</dd>
		<dt>변경일시</dt>
		<dd id="cp_now_date">2017.08.24</dd>
		<dt>다음 변경 권고일</dt>
		<dd id="cp_next_change_date">2010.11.24</dd>
	</dl>
	<div class="trc f14" style="padding-top:30px;">
		비밀번호를 다시 변경하시려면 로그인 후 <br><span class="beachblue" style="text-decoration:underline"><a href="/m/mypage/req_password">마이페이지</a></span>
		메뉴를 이용해주세요.
	</div>
	<div class="bgt" style="margin:30px 0 40px 0; display:block; text-align:center; padding-top:30px;">
		<button type="button" class="btn btn-success br5" style="padding:7px 40px; font-size:16px; width:100%;" onclick="location.href='/m/member/login'">로그인하기</button>
	</div>
</div>

<script>

	function change_password(){
		if($("#now_pwd").val()==""){
			alert("현재 비밀번호를 입력해주세요.");
			return false;
		}

		if($("#new_member_pwd").val()=="") {
			alert("비밀번호를 입력해주세요.");
			return false;
		}

		if(member_pwd_valid_check($("#new_member_pwd").val())==false) {
			alert("비밀번호는 6~16 영문 대·소문자,숫자,특수문자로 입력해주세요.");
			return false;
		}

		if($("#new_re_member_pwd").val()=="") {
			alert("비밀번호를 확인을 입력해주세요.");
			return false;
		}

		if($("#new_member_pwd").val() != $("#new_re_member_pwd").val()) {
			alert("비밀번호를 확인을 입력해주세요.");
			return false;
		}

		if($("#now_pwd").val() == $("#new_member_pwd").val()) {
			alert("변경할 비밀번호와 현재 비밀번호는 다르게 입력해주세요.");
			return false;
		}

		var form_data = {
			"now_pwd"           : $("#now_pwd").val(),
			"new_member_pwd"    : $("#new_member_pwd").val()
		};
		$.ajax({
			url: '/web/member/password_change_proc',
			async: false,
			type: 'POST',
			dataType: 'JSON',
			data: form_data,
			success: function (rtnJson) {
				if (rtnJson.code == "0000") {

					$("#cp_next_change_date").html(rtnJson.data.next_change_data);
					$("#cp_now_date").html(rtnJson.data.now_date);
					$("#cp_member_id").html(rtnJson.data.member_id);
					$("#cp_member_email").html(rtnJson.data.member_email);

					$("#step1").hide();
					$("#step2").show();

				} else {
					alert(rtnJson.msg);
					return false;
				}
			},
			error: function (rtnJson) {
				alert('비밀번호 변경에 실패했습니다.');
				return false;
			}
		});
	}



	function later(){

	}

</script>
